%define pkg_name        Email-MIME-XMTP
%define pkg_version     0.42
%define rpm_pkg_version 0.42
%define rpm_pkg_release 2.n0i.4

Summary:       Extends Email::MIME objects to read and write XMTP
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/A/AR/AREGGIORI/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(Module::Build)

%if %{!?_without_test:1}0
BuildRequires: perl(Email::MIME) >= 1.82
BuildRequires: perl(Email::MIME::Encodings) >= 1.3
BuildRequires: perl(Email::Simple) >= 1.92
BuildRequires: perl(Test::More) >= 0.47
BuildRequires: perl(XML::Parser) >= 2.20
%endif


%description
Email::MIME::XMTP extends Email::MIME to read and write XMTP.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
[ -f Makefile.PL ] || cat <<EOF > Makefile.PL
use Module::Build::Compat;
Module::Build::Compat->run_build_pl(args => \@ARGV);
Module::Build::Compat->write_makefile();
EOF


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes LICENSE README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.42-2.n0i.4
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7

* Fri Dec 30 2005 Marius Feraru <altblue@n0i.net> 0.42-1.n0i.3
- version 0.42

* Wed Aug 31 2005 Marius Feraru <altblue@n0i.net> 0.41-1.n0i.2
- version 0.41

* Thu Aug 04 2005 Marius Feraru <altblue@n0i.net> 0.38-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
